Skip to main content
GET
/
api
/
v1
/
indices
/
{id}
Get index details
curl --request GET \
  --url https://v2.api.adj.news/api/v1/indices/{id} \
  --header 'Authorization: Bearer <token>'
{
  "index_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "constituents_count": 123,
  "latest_price": 123,
  "price_change_1d": 123,
  "price_change_7d": 123
}
Retrieve detailed information about a specific index.

Path Parameters

id
string
required
The unique index identifier (e.g., upfi, upfi_senate_kalshi, upfi_pres_kalshi).

Response

{
  "index_id": "upfi_senate_kalshi",
  "name": "UPFI Senate Kalshi",
  "description": "upfi",
  "constituents_count": 31,
  "latest_price": 117.91,
  "price_change_1d": 2.5,
  "price_change_7d": -1.3
}
FieldTypeDescription
index_idstringUnique identifier
namestringHuman-readable name
constituents_countintegerNumber of markets in the index
latest_pricenumberMost recent index value
price_change_1dnumberPrice change over last 24 hours
price_change_7dnumberPrice change over last 7 days

UPFI Interpretation

UPFI ValueInterpretation
> 105Strong Republican
100-105Lean Republican
100Toss-up
95-100Lean Democrat
< 95Strong Democrat

Example

curl "https://v2.api.adj.news/api/v1/indices/upfi_senate_kalshi" \
  -H "Authorization: Bearer YOUR_TOKEN"

Error

StatusDescription
404Index not found

Authorizations

Authorization
string
header
required

Auth0 JWT Bearer token

Path Parameters

id
string
required

Index ID

Response

Index details

index_id
string
name
string
description
string | null
constituents_count
integer
latest_price
number | null
price_change_1d
number | null
price_change_7d
number | null